%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name qpid_proton

Summary: Ruby language bindings for the Qpid Proton messaging framework
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.26.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://qpid.apache.org/proton
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: qpid-proton-c >= 0.26.0
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: qpid-proton-c-devel >= 0.26.0
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Proton is a high performance, lightweight messaging library. It can be used in
the widest range of messaging applications including brokers, client
libraries,
routers, bridges, proxies, and more. Proton is based on the AMQP 1.0 messaging
standard.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/examples
%{gem_instdir}/tests

%changelog
* Thu May 23 2019 Satoe Imaishi <simaishi@redhat.com> - 0.26.0-1
- Update to 0.26.0

* Mon Apr 09 2018 Satoe Imaishi <simaishi@redhat.com> - 0.22.0-1
- Update to 0.22.0

* Mon Jan 22 2018 Satoe Imaishi <simaishi@redhat.com> - 0.19.0-1
- Update to 0.19.0

* Tue Nov 21 2017 Satoe Imaishi <simaishi@redhat.com> - 0.18.1-1
- Initial Build
